package org.springblade.imports.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.imports.entity.FctStandingBook;
import org.springblade.imports.mapper.FctStandingBookMapper;
import org.springblade.imports.query.FctStandingBookQuery;
import org.springblade.imports.service.IFctStandingBookService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-03-22
 */
@Service
@DS("oracle143")
public class FctStandingBookServiceImpl extends ServiceImpl<FctStandingBookMapper, FctStandingBook> implements IFctStandingBookService {

	@Autowired
	private FctStandingBookMapper fctStandingBookMapper;

	@Override
	public void insertBatch(List<FctStandingBook> excelList) {
		fctStandingBookMapper.insertBatch(excelList);
	}

	@Override
	public void insertBatchHasDid(List<FctStandingBook> list) {
		fctStandingBookMapper.insertBatchHasDid(list);
	}

	@Override
	public List<FctStandingBook> getListByQuery(FctStandingBookQuery query) {
		return fctStandingBookMapper.getListByQuery(query);
	}

	@Override
	public IPage<FctStandingBook> getPageByQuery(IPage<Object> page, FctStandingBookQuery pageQuery) {
		return fctStandingBookMapper.getPageByQuery(page, pageQuery);
	}


}
